> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onepanel.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a transfer by your reference



## OpenAPI

````yaml /openapi.yaml get /airtime-cash/transfers/{reference}
openapi: 3.0.3
info:
  title: OnePanel API
  version: 1.0.0
  description: API for OnePanel data vending and transaction management.
servers:
  - url: https://api.onepanel.ng/api/v1
    description: Production
security: []
tags:
  - name: Catalog
  - name: Purchases
  - name: Transactions
  - name: Account
  - name: Airtime Cash
paths:
  /airtime-cash/transfers/{reference}:
    get:
      tags:
        - Airtime Cash
      summary: Get a transfer by your reference
      operationId: getAirtimeCashTransfer
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The transfer.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
        '404':
          description: No transfer with this reference.
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    Transfer:
      type: object
      properties:
        success:
          type: boolean
        transfer_id:
          type: string
          example: ACT_5d0c8b1e
        reference:
          type: string
          example: order-2026-0001
        session_id:
          type: string
        amount:
          type: integer
          example: 1000
        status:
          type: string
          enum:
            - success
            - failed
            - pending
            - unknown
        mtn_transaction_id:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
          description: MTN's own reply for this transfer.
        created_at:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.